package com.ym.mec.web.controller;

import com.ym.mec.common.controller.BaseController;
import com.ym.mec.web.dal.entity.CourseType;
import com.ym.mec.web.service.CourseTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping
@Api(description = "课程类型服务")
@RestController
public class CourseTypeController extends BaseController {

    @Autowired
    private CourseTypeService courseTypeService;

    @ApiOperation("新增课程类型")
    @PutMapping("/add")
    public Object getRole(CourseType courseType) {
        return succeed(courseTypeService.insert(courseType));
    }
}
