package com.ym.mec.web.service.impl;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.LearningStationDao;
import com.ym.mec.web.dal.entity.LearningStation;
import com.ym.mec.web.service.LearningStationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LearningStationServiceImpl extends BaseServiceImpl<Integer, LearningStation> implements LearningStationService {
	
	@Autowired
	private LearningStationDao learningStationDao;

	@Override
	public BaseDAO<Integer, LearningStation> getDAO() {
		return learningStationDao;
	}
	
}